{
    "array": [
        {
            "title": "广点通",
            "ltName": "tgd",
            "manifest": [
                "<service android:name=\"com.qq.e.comm.DownloadService\" android:exported=\"false\" />",
                "<activity android:name=\"com.qq.e.ads.ADActivity\"  android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />",
                "<activity android:name=\"com.qq.e.ads.PortraitADActivity\" android:screenOrientation=\"portrait\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />",
                "<activity android:name=\"com.qq.e.ads.LandscapeADActivity\" android:screenOrientation=\"landscape\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />",
                "<activity android:name=\"com.qq.e.ads.RewardvideoPortraitADActivity\" android:screenOrientation=\"landscape\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />",
                "<activity android:name=\"com.qq.e.ads.RewardvideoLandscapeADActivity\" android:screenOrientation=\"landscape\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />"
            ],
            "class": [
                "com.qq.e.ads.ADActivity",
                "com.qq.e.ads.PortraitADActivity",
                "com.qq.e.ads.LandscapeADActivity",
                "com.qq.e.ads.RewardvideoPortraitADActivity",
                "com.qq.e.ads.RewardvideoLandscapeADActivity",
                "com.qq.e.comm.DownloadService"
            ],
            "random": [
              "com",
              "riboq",
              "qazrj",
              "tgd"
            ],
            "rename": {
                "ADActivity": "Activity",
                "PortraitADActivity": "PortraitActivity",
                "LandscapeADActivity": "LandscapeActivity",
                "RewardvideoPortraitADActivity": "RPDActivity",
                "RewardvideoLandscapeADActivity": "RLDActivity",
                "DownloadService": "DownloadService"
            },
            "isAllPackage": false,
            "isReName": true,
            "isJarLib": false,
            "packagerlimit": 3,
            "isManual": false,
            "dex2jar": "D:\\反编译\\dex2jar-2.0\\_d2j-dex2jar.bat",
            "manual": [
                {
                    "class": "com.qq.e.comm.a",
                    "find": "com/qq/e/ads/ADActivity"
                }
            ]
        },
        {
            "title": "聚量",
            "ltName": "jla",
            "manifest": [
                "<activity android:name=\"com.uniplay.adsdk.AdActivity\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\">/>",
                "<activity android:name=\"com.uniplay.adsdk.InterstitialAdActivity\"  android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" android:theme=\"@android:style/Theme.Translucent\"/>",
                "<activity android:name=\"com.uniplay.adsdk.NetworkChangeActivity\" android:screenOrientation=\"portrait\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />",
                "<activity android:name=\"com.joomob.activity.AdVideoActivity\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />",
                "<activity android:name=\"com.joomob.activity.AdLandScapeVideoActivity\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />",
                "<service android:name=\"com.uniplay.adsdk.DownloadService\"/>"
            ],
            "class": [
                "com.uniplay.adsdk.AdActivity",
                "com.uniplay.adsdk.InterstitialAdActivity",
                "com.uniplay.adsdk.NetworkChangeActivity",
                "com.joomob.activity.AdVideoActivity",
                "com.joomob.activity.AdLandScapeVideoActivity",
                "com.uniplay.adsdk.DownloadService"
            ],
            "random": [
                "com",
                "ww",
                "ut"
            ],
            "rename": {
                "AdActivity": "Activity",
                "InterstitialAdActivity": "InterstitialActivity",
                "NetworkChangeActivity": "NetworkChangeActivity",
                "AdVideoActivity": "VideoActivity",
                "AdLandScapeVideoActivity": "LSVideoActivity",
                "DownloadService": "DownloadService"
            },
            "isAllPackage": false,
            "isReName": true,
            "isJarLib": false,
            "packagerlimit": 3,
            "isManual": true,
            "dex2jar": "D:\\反编译\\dex2jar-2.0\\_d2j-dex2jar.bat",
            "manual": [
                {
                    "class": "com.uniplay.adsdk.basic.RuleManage",
                    "find": ".method public configRight",
                    "msg": "仅保留const-string v0, \"\"    return-object v0",
                    "data":".method public configRight(Landroid/content/Context;Ljava/lang/String;[Ljava/lang/String;)Ljava/lang/String;\n.locals 3\n.prologue\nconst-string v0, \"\" \nreturn-object v0\n",
                    "end":".end method"
                },{
                    "class":"com.uniplay.adsdk.basic.RuleManage",
                    "find":"const-string v0, \"uniplay.fileprovider\"",
                    "data":"const-string v0, \"fileprovider\"\n",
                    "end":"sput-object v0, Lcom/uniplay/adsdk/basic/RuleManage;->FP_UN:Ljava/lang/String;"
                }
            ]
        },
        {
            "title": "万维",
            "ltName": "oow",
            "manifest": [
                "<activity android:name=\"mobi.oneway.export.AdShowActivity\" android:configChanges=\"fontScale|keyboard|keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|touchscreen\" android:hardwareAccelerated=\"true\" android:launchMode=\"singleTask\" android:theme=\"@android:style/Theme.NoTitleBar.Fullscreen\" />"
            ],
            "class": [
                "mobi.oneway.export.AdShowActivity"
            ],
            "random": [
                "com",
                "riboq",
                "qazrj",
				"oo"
            ],
            "rename": {
                "AdShowActivity": "ShowActivity"
            },
            "isAllPackage": false,
            "isReName": true,
            "isJarLib": false,
            "packagerlimit": 3,
            "isManual": true,
            "manual": [
                {
                    "class": "mobi.oneway.export.Ad.OnewaySdk",
                    "find": "new-instance v0, Lmobi/oneway/export/e/a;",
                    "data":"\n",
                    "end":"goto :goto_0"
                }
            ],
			"pluginsManual":[
				{
					"class": "mobi.oneway.sdk.port.Unit",
                    "find": "const-string v0, \"mobi.oneway.export.AdShowActivity\"",
					"data":"const-string v0, \"${packagename}.ShowActivity\"\n",
                    "end":"invoke-static {v0}, Ljava/lang/Class;->forName(Ljava/lang/String;)Ljava/lang/Class;"
				},
				{
					"class": "mobi.oneway.sdk.c.c",
                    "find": "const-string v1, \"mobi.oneway.export.OWProvider\"",
					"data": "const-string v1, \"${packagename}.OWProvider\"\n",
                    "end": "invoke-static {v1}, Ljava/lang/Class;->forName(Ljava/lang/String;)Ljava/lang/Class;"
				}
			]
        },
        {
            "title": "趣赢SDK",
            "ltName": "qysdk.jar",
            "manifest": [
                "<activity android:name=\"com.qy.sdk.views.MyActivity\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" android:theme=\"@android:style/Theme.Translucent.NoTitleBar\" />",
                "<receiver android:name=\"com.qy.sdk_rx.listeners.QyReceiver\"> <intent-filter> <action android:name=\"android.net.conn.CONNECTIVITY_CHANGE\" /></intent-filter> <intent-filter><action android:name=\"android.intent.action.PACKAGE_ADDED\" /><data android:scheme=\"package\" /></intent-filter><intent-filter><action android:name=\"android.intent.action.DOWNLOAD_COMPLETE\" /></intent-filter></receiver>",
                "<provider android:name=\"com.qy.sdk.TMProvider\" android:authorities=\"${applicationId}.TTMultProvider\" android:exported=\"false\" android:grantUriPermissions=\"true\"> <meta-data android:name=\"android.support.FILE_PROVIDER_PATHS\" android:resource=\"@xml/file_paths\" /></provider>"
            ],
            "class": [
                "com.qy.sdk.views.MyActivity",
                "com.qy.sdk_rx.listeners.QyReceiver",
                "com.qy.sdk.TMProvider"
            ],
            "random": [
                "com",
                "opx",
                "bh"
            ],
            "rename": {
                "MyActivity": "{>+}MActivity",
                "QyReceiver": "{>+}Receiver",
				"TMProvider":"{>+}TProvider"

            },
            "isAllPackage": true,
            "regexPackage":".qy",
            "isReName": true,
            "isJarLib": true,
            "packagerlimit": 3,
            "isManual": false,
            "manual": [],
            "dex2jar": "D:\\反编译\\dex2jar-2.0\\_d2j-dex2jar.bat"
        },
        {
            "title": "穿山甲",
            "ltName": "open_ad_sdk.jar",
            "manifest": [
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTLandingPageActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTPlayableLandingPageActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTVideoLandingPageActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTRewardVideoActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTRewardExpressVideoActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTFullScreenVideoActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTFullScreenExpressVideoActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTDelegateActivity\"  android:launchMode=\"singleTask\"  android:theme=\"@android:style/Theme.Translucent.NoTitleBar\" /> ",
                "<service android:name=\"com.bytedance.sdk.openadsdk.multipro.aidl.BinderPoolService\" /> ",
                "<receiver  android:name=\"com.ss.android.downloadlib.core.download.DownloadReceiver\"  android:enabled=\"true\"  android:exported=\"true\" /> ",
                "<service  android:name=\"com.bytedance.tea.crash.upload.CrashUploadService\"  android:process=\":npth\" />",

                "<service android:name=\"com.ss.android.socialbase.downloader.notification.DownloadNotificationService\" />",
                "<service android:name=\"com.ss.android.socialbase.downloader.downloader.DownloadService\" />",
                "<service android:name=\"com.ss.android.socialbase.downloader.downloader.IndependentProcessDownloadService\" android:process=\":downloader\"> <intent-filter> <action android:name=\"com.ss.android.socialbase.downloader.remote\" /> </intent-filter> </service>",
                "<service android:name=\"com.ss.android.socialbase.downloader.impls.DownloadHandleService\" />",
                "<service android:name=\"com.ss.android.socialbase.appdownloader.DownloadHandlerService\" />",
                "<activity android:name=\"com.ss.android.socialbase.appdownloader.view.DownloadSizeLimitActivity\" android:launchMode=\"singleTask\" android:theme=\"@android:style/Theme.Dialog\" />",
                "<activity android:name=\"com.ss.android.socialbase.appdownloader.view.DownloadTaskDeleteActivity\" android:launchMode=\"singleTask\" android:theme=\"@android:style/Theme.Dialog\" />",
                "<activity android:name=\"com.ss.android.downloadlib.activity.TTDelegateActivity\" android:launchMode=\"singleTask\" android:theme=\"@android:style/Theme.Translucent.NoTitleBar\" />",

            ],
            "class":[
                "com.bytedance.sdk.openadsdk.activity.TTLandingPageActivity",
                "com.bytedance.sdk.openadsdk.activity.TTPlayableLandingPageActivity",
                "com.bytedance.sdk.openadsdk.activity.TTVideoLandingPageActivity",
                "com.bytedance.sdk.openadsdk.activity.TTRewardVideoActivity",
                "com.bytedance.sdk.openadsdk.activity.TTRewardExpressVideoActivity",
                "com.bytedance.sdk.openadsdk.activity.TTFullScreenVideoActivity",
                "com.bytedance.sdk.openadsdk.activity.TTFullScreenExpressVideoActivity",
                "com.bytedance.sdk.openadsdk.activity.TTDelegateActivity",
                "com.bytedance.sdk.openadsdk.multipro.aidl.BinderPoolService",
                "com.bytedance.embedapplog.collector.Collector",
                "com.bytedance.tea.crash.upload.CrashUploadService",
                "com.bytedance.sdk.openadsdk.activity.TTBaseVideoActivity",
                "com.ss.android.socialbase.downloader.notification.DownloadNotificationService",
                "com.ss.android.socialbase.downloader.downloader.DownloadService",
                "com.ss.android.socialbase.downloader.downloader.IndependentProcessDownloadService",
                "com.ss.android.socialbase.downloader.impls.DownloadHandleService",
                "com.ss.android.socialbase.appdownloader.DownloadHandlerService",
                "com.ss.android.socialbase.appdownloader.view.DownloadSizeLimitActivity",
                "com.ss.android.socialbase.appdownloader.view.DownloadTaskDeleteActivity",
                "com.ss.android.downloadlib.activity.TTDelegateActivity"
            ],
            "random":[
                "com",
                "iaalz",
                "tzjyg"
            ],
            "isAllPackage":false,
            "isReName":true,
            "isJarLib":true,
            "packagerlimit":3,
            "isManual":true,
            "outManifest":false,
            "manual":[
                {
                    "class":"com.bytedance.sdk.openadsdk.downloadnew.a.d",
                    "find":" const-string v1, \".TTFileProvider\"",
                    "data":" const-string v1, \".fileprovider\"\n",
                    "end":" invoke-virtual {v2, v1}, Ljava/lang/StringBuilder;->append(Ljava/lang/String;)Ljava/lang/StringBuilder;",
                    "msg":"把TTFileProvider改成fileprovider"
                },{
                    "class":"com.bytedance.embedapplog.util.TTEncryptUtils",
                    "find":"const-string v0, \"tobEmbedEncrypt\"",
                    "data":"const-string v0, \"teet\"\n",
                    "end":"invoke-static {v0}, Ljava/lang/System;->loadLibrary(Ljava/lang/String;)V"
                },{
                    "class":"com.pgl.sys.ces.a",
                    "find":"const-string v0, \"nms\"",
                    "data":"const-string v0, \"yys\"\n",
                    "end":"invoke-static {v0}, Ljava/lang/System;->loadLibrary(Ljava/lang/String;)V"
                },{
                    "class":"com.pgl.sys.ces.b",
                    "find":"const-string p1, \"nms\"",
                    "data":"const-string p1, \"yys\"\n",
                    "end":"invoke-static {p0, p1}, Lcom/pgl/a/b/e;->a(Landroid/content/Context;Ljava/lang/String;)Z"
                }
            ],
            "rename":{
                "TTLandingPageActivity":"{>+/activity}TTLandingPageActivity",
                "TTPlayableLandingPageActivity":"{>+/activity}TTPlayableLandingPageActivity",
                "TTVideoLandingPageActivity":"{>+/activity}TTVideoLandingPageActivity",
                "TTRewardVideoActivity":"{>+/activity}TTRewardVideoActivity",
                "TTRewardExpressVideoActivity":"{>+/activity}TTRewardExpressVideoActivity",
                "TTFullScreenVideoActivity":"{>+/activity}TTFullScreenVideoActivity",
                "TTFullScreenExpressVideoActivity":"{>+/activity}TTFullScreenExpressVideoActivity",
                "TTDelegateActivity":"{>+/activity}TTDelegateActivity",
                "TTBaseVideoActivity":"{>+/activity}TTBaseVideoActivity",
                "BinderPoolService":"{>+/multipro/aidl}BinderPoolService",
                "Collector":"{>+/cc/collector}Collector",
                "CrashUploadService":"{>+/cc/crash/upload}CrashUploadService",
                "com.ss.android.downloadlib.activity.TTDelegateActivity":"{>+/dl/activity}TTDelegateActivity",
				"DownloadNotificationService":"{>+/sb/downloader/notification}DownloadNotificationService",
				"DownloadService":"{>+/sb/downloader/downloader}DownloadService",
				"IndependentProcessDownloadService":"{>+/sb/downloader/downloader}IndependentProcessDownloadService",
				"DownloadHandleService":"{>+/sb/downloader/impls}DownloadHandleService",
				"DownloadHandlerService":"{>+/sb/appdownloader}DownloadHandlerService",
				"DownloadSizeLimitActivity":"{>+/sb/appdownloader/view}DownloadSizeLimitActivity",
				"DownloadTaskDeleteActivity":"{>+/sb/appdownloader/view}DownloadTaskDeleteActivity",
				"DownloadReceiver":"{>+/dl/core/download}DownloadReceiver",
	
            },
            "filter":[
                "com.android",
                "com.xandroid",
                "com.google",
                "com.android",
                "com.androidx"
            ]

        },
        {
            "title": "百青藤",
            "ltName": "bsb",
            "manifest": [
                "<activity android:name=\"com.baidu.mobads.AppActivity\" android:configChanges=\"screenSize|keyboard|keyboardHidden|orientation\"  android:theme=\"@android:style/Theme.Translucent.NoTitleBar\" />",
                "<activity android:name=\"com.baidu.mobads.production.rewardvideo.MobRewardVideoActivity\" android:configChanges=\"screenSize|orientation|keyboardHidden\" android:launchMode=\"singleTask\" android:theme=\"@android:style/Theme.Translucent.NoTitleBar\" > </activity>"
            ],
            "class": [
                "com.baidu.mobads.AppActivity",
                "com.baidu.mobads.production.rewardvideo.MobRewardVideoActivity",
                "com.baidu.mobads.AppActivityImp"
            ],
            "random": [
                "com",
                "nusqu",
                "gzxem",
                "bsb"
            ],
            "rename": {
                "AppActivity": "MyActivity",
                "MobRewardVideoActivity":"MyRewardVideoActivity",
                "AppActivityImp":"MyActivityImp"
            },
            "isAllPackage": false,
            "isReName": true,
            "isJarLib": false,
            "packagerlimit": 3,
            "isManual": true,
            "dex2jar": "D:\\反编译\\dex2jar-2.0\\_d2j-dex2jar.bat",
            "manual": [
                {
                 "class":"com.baidu.mobads.utils.r",
                  "find":"const-string v1, \".bd.provider\"",
                  "data":"const-string v1, \".fileprovider\"\n",
                   "end":"invoke-virtual {v0, v1}, Ljava/lang/StringBuilder;->append(Ljava/lang/String;)Ljava/lang/StringBuilder;"
                },{
                "class":"com.baidu.mobads.utils.r",
                 "find":"invoke-static {p0, v0, p1}, Lcom/baidu/mobads/openad/BdFileProvider;->getUriForFile(Landroid/content/Context;Ljava/lang/String;Ljava/io/File;)Landroid/net/Uri;",
                 "data":"invoke-static {p0, v0, p1}, Landroid/support/v4/content/FileProvider;->getUriForFile(Landroid/content/Context;Ljava/lang/String;Ljava/io/File;)Landroid/net/Uri;\n",
                 "end":":try_end_0"
                }
            ]
        },
    ]
}